Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157675 - Man pages for mount are incorrect for sync on FAT and VFAT
Summary: Man pages for mount are incorrect for sync on FAT and VFAT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-13 17:19 UTC by Michael H. Warfield
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-669
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 16:53:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:669 qe-ready SHIPPED_LIVE util-linux bug fix update 2005-10-05 04:00:00 UTC

Description Michael H. Warfield 2005-05-13 17:19:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050509 Fedora/1.0.3-5 Firefox/1.0.3

Description of problem:
Man pages for "mount" claim that the "sync" option is ignored by the FAT and VFAT file systems.  This is not (any longer) true.  VFAT file systems do honor the sync option and, consequently, damage and destroy flash devices with VFAT file systems mounted this way.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Read man pages for mount and look for VFAT and sync
2.
3.
  

Actual Results:  Says FAT and VFAT ignore sync option

Expected Results:  Should say that sync may cause damage with FAT and VFAT file systems

Additional info:

Related bug filed under hal for destruction of flash keys when mounted with "sync" option.

Comment 1 Karel Zak 2005-06-16 10:30:17 UTC
The fix of man page will be available in the next FC4 update (util-linux-2.12p-9.4).

Comment 8 Red Hat Bugzilla 2005-10-05 16:53:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-669.html



Note You need to log in before you can comment on or make changes to this bug.